Subject: bug#73093: Shouldn't Icecat should be moving to the 128.x.x branch?

From: Nin Gen <[email-masked]>
Date: Sat, 7 Sep 2024 01:13:22 +0000

Hi all,

I am just wondering shouldn't icecat be moving to 128.x.x now? There are
already esr release builds for this branch
https://ftp.mozilla.org/pub/firefox/releases/128.2.0esr/ and the 115.x.x
branch will be moving to deprication.

The main reason why I bring this up is because on rolling release distros
like ArchLinux, we are unable to compile Icecat 'cleanly as is' due to
clang17/llvm17 being required to build Icecat since 115.13.0 onwards, and
since the current version of clang/llvm is 18 which seems not backwards
compatible we cannot compile Icecat without compiling an older
clang17/llvm17 independently which is very troublesome and problematic.

Thank you,